--- old/usr/src/uts/intel/ia32/ml/i86_subr.s	Thu Nov 14 19:00:25 2019
+++ new/usr/src/uts/intel/ia32/ml/i86_subr.s	Thu Nov 14 19:00:25 2019
@@ -57,17 +57,7 @@
 #include <sys/psw.h>
 #include <sys/x86_archext.h>
 
-#if defined(__lint)
-#include <sys/types.h>
-#include <sys/systm.h>
-#include <sys/thread.h>
-#include <sys/archsystm.h>
-#include <sys/byteorder.h>
-#include <sys/dtrace.h>
-#include <sys/ftrace.h>
-#else	/* __lint */
 #include "assym.h"
-#endif	/* __lint */
 #include <sys/dditypes.h>
 
 /*
@@ -80,21 +70,6 @@
  * uts/intel/ia32/ml/copy.s.
  */
 
-#if defined(__lint)
-
-/* ARGSUSED */
-int
-on_fault(label_t *ljb)
-{ return (0); }
-
-void
-no_fault(void)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(on_fault)
 	movq	%gs:CPU_THREAD, %rsi
 	leaq	catch_fault(%rip), %rdx
@@ -122,52 +97,11 @@
 	ret
 	SET_SIZE(no_fault)
 
-#elif defined(__i386)
-
-	ENTRY(on_fault)
-	movl	%gs:CPU_THREAD, %edx
-	movl	4(%esp), %eax			/* jumpbuf address */
-	leal	catch_fault, %ecx
-	movl	%eax, T_ONFAULT(%edx)		/* jumpbuf in t_onfault */
-	movl	%ecx, T_LOFAULT(%edx)		/* catch_fault in t_lofault */
-	jmp	setjmp				/* let setjmp do the rest */
-
-catch_fault:
-	movl	%gs:CPU_THREAD, %edx
-	xorl	%eax, %eax
-	movl	T_ONFAULT(%edx), %ecx		/* address of save area */
-	movl	%eax, T_ONFAULT(%edx)		/* turn off onfault */
-	movl	%eax, T_LOFAULT(%edx)		/* turn off lofault */
-	pushl	%ecx
-	call	longjmp				/* let longjmp do the rest */
-	SET_SIZE(on_fault)
-
-	ENTRY(no_fault)
-	movl	%gs:CPU_THREAD, %edx
-	xorl	%eax, %eax
-	movl	%eax, T_ONFAULT(%edx)		/* turn off onfault */
-	movl	%eax, T_LOFAULT(%edx)		/* turn off lofault */
-	ret
-	SET_SIZE(no_fault)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * Default trampoline code for on_trap() (see <sys/ontrap.h>).  We just
  * do a longjmp(&curthread->t_ontrap->ot_jmpbuf) if this is ever called.
  */
 
-#if defined(lint)
-
-void
-on_trap_trampoline(void)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(on_trap_trampoline)
 	movq	%gs:CPU_THREAD, %rsi
 	movq	T_ONTRAP(%rsi), %rdi
@@ -175,35 +109,12 @@
 	jmp	longjmp
 	SET_SIZE(on_trap_trampoline)
 
-#elif defined(__i386)
-
-	ENTRY(on_trap_trampoline)
-	movl	%gs:CPU_THREAD, %eax
-	movl	T_ONTRAP(%eax), %eax
-	addl	$OT_JMPBUF, %eax
-	pushl	%eax
-	call	longjmp
-	SET_SIZE(on_trap_trampoline)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * Push a new element on to the t_ontrap stack.  Refer to <sys/ontrap.h> for
  * more information about the on_trap() mechanism.  If the on_trap_data is the
  * same as the topmost stack element, we just modify that element.
  */
-#if defined(lint)
 
-/*ARGSUSED*/
-int
-on_trap(on_trap_data_t *otp, uint_t prot)
-{ return (0); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(on_trap)
 	movw	%si, OT_PROT(%rdi)		/* ot_prot = prot */
 	movw	$0, OT_TRAP(%rdi)		/* ot_trap = 0 */
@@ -224,59 +135,15 @@
 	jmp	setjmp
 	SET_SIZE(on_trap)
 
-#elif defined(__i386)
-
-	ENTRY(on_trap)
-	movl	4(%esp), %eax			/* %eax = otp */
-	movl	8(%esp), %edx			/* %edx = prot */
-
-	movw	%dx, OT_PROT(%eax)		/* ot_prot = prot */
-	movw	$0, OT_TRAP(%eax)		/* ot_trap = 0 */
-	leal	on_trap_trampoline, %edx	/* %edx = &on_trap_trampoline */
-	movl	%edx, OT_TRAMPOLINE(%eax)	/* ot_trampoline = %edx */
-	movl	$0, OT_HANDLE(%eax)		/* ot_handle = NULL */
-	movl	$0, OT_PAD1(%eax)		/* ot_pad1 = NULL */
-	movl	%gs:CPU_THREAD, %edx		/* %edx = curthread */
-	movl	T_ONTRAP(%edx), %ecx		/* %ecx = curthread->t_ontrap */
-	cmpl	%eax, %ecx			/* if (otp == %ecx) */
-	je	0f				/*    don't modify t_ontrap */
-
-	movl	%ecx, OT_PREV(%eax)		/* ot_prev = t_ontrap */
-	movl	%eax, T_ONTRAP(%edx)		/* curthread->t_ontrap = otp */
-
-0:	addl	$OT_JMPBUF, %eax		/* %eax = &ot_jmpbuf */
-	movl	%eax, 4(%esp)			/* put %eax back on the stack */
-	jmp	setjmp				/* let setjmp do the rest */
-	SET_SIZE(on_trap)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * Setjmp and longjmp implement non-local gotos using state vectors
  * type label_t.
  */
 
-#if defined(__lint)
-
-/* ARGSUSED */
-int
-setjmp(label_t *lp)
-{ return (0); }
-
-/* ARGSUSED */
-void
-longjmp(label_t *lp)
-{}
-
-#else	/* __lint */
-
 #if LABEL_PC != 0
 #error LABEL_PC MUST be defined as 0 for setjmp/longjmp to work as coded
 #endif	/* LABEL_PC != 0 */
 
-#if defined(__amd64)
-
 	ENTRY(setjmp)
 	movq	%rsp, LABEL_SP(%rdi)
 	movq	%rbp, LABEL_RBP(%rdi)
@@ -306,37 +173,6 @@
 	ret
 	SET_SIZE(longjmp)
 
-#elif defined(__i386)
-
-	ENTRY(setjmp)
-	movl	4(%esp), %edx		/* address of save area */
-	movl	%ebp, LABEL_EBP(%edx)
-	movl	%ebx, LABEL_EBX(%edx)
-	movl	%esi, LABEL_ESI(%edx)
-	movl	%edi, LABEL_EDI(%edx)
-	movl	%esp, 4(%edx)
-	movl	(%esp), %ecx		/* %eip (return address) */
-	movl	%ecx, (%edx)		/* LABEL_PC is 0 */
-	subl	%eax, %eax		/* return 0 */
-	ret
-	SET_SIZE(setjmp)
-
-	ENTRY(longjmp)
-	movl	4(%esp), %edx		/* address of save area */
-	movl	LABEL_EBP(%edx), %ebp
-	movl	LABEL_EBX(%edx), %ebx
-	movl	LABEL_ESI(%edx), %esi
-	movl	LABEL_EDI(%edx), %edi
-	movl	4(%edx), %esp
-	movl	(%edx), %ecx		/* %eip (return addr); LABEL_PC is 0 */
-	movl	$1, %eax
-	addl	$4, %esp		/* pop ret adr */
-	jmp	*%ecx			/* indirect */
-	SET_SIZE(longjmp)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * if a() calls b() calls caller(),
  * caller() returns return address in a().
@@ -344,171 +180,44 @@
  *  sequence.)
  */
 
-#if defined(__lint)
-
-caddr_t
-caller(void)
-{ return (0); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(caller)
 	movq	8(%rbp), %rax		/* b()'s return pc, in a() */
 	ret
 	SET_SIZE(caller)
 
-#elif defined(__i386)
-
-	ENTRY(caller)
-	movl	4(%ebp), %eax		/* b()'s return pc, in a() */
-	ret
-	SET_SIZE(caller)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * if a() calls callee(), callee() returns the
  * return address in a();
  */
 
-#if defined(__lint)
-
-caddr_t
-callee(void)
-{ return (0); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(callee)
 	movq	(%rsp), %rax		/* callee()'s return pc, in a() */
 	ret
 	SET_SIZE(callee)
 
-#elif defined(__i386)
-
-	ENTRY(callee)
-	movl	(%esp), %eax		/* callee()'s return pc, in a() */
-	ret
-	SET_SIZE(callee)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * return the current frame pointer
  */
 
-#if defined(__lint)
-
-greg_t
-getfp(void)
-{ return (0); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(getfp)
 	movq	%rbp, %rax
 	ret
 	SET_SIZE(getfp)
 
-#elif defined(__i386)
-
-	ENTRY(getfp)
-	movl	%ebp, %eax
-	ret
-	SET_SIZE(getfp)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * Invalidate a single page table entry in the TLB
  */
 
-#if defined(__lint)
-
-/* ARGSUSED */
-void
-mmu_invlpg(caddr_t m)
-{}
-
-#else	/* __lint */
-
 	ENTRY(mmu_invlpg)
 	invlpg	(%rdi)
 	ret
 	SET_SIZE(mmu_invlpg)
 
-#endif	/* __lint */
 
-
 /*
  * Get/Set the value of various control registers
  */
 
-#if defined(__lint)
-
-ulong_t
-getcr0(void)
-{ return (0); }
-
-/* ARGSUSED */
-void
-setcr0(ulong_t value)
-{}
-
-ulong_t
-getcr2(void)
-{ return (0); }
-
-ulong_t
-getcr3(void)
-{ return (0); }
-
-#if !defined(__xpv)
-/* ARGSUSED */
-void
-setcr3(ulong_t val)
-{}
-
-void
-reload_cr3(void)
-{}
-#endif
-
-ulong_t
-getcr4(void)
-{ return (0); }
-
-/* ARGSUSED */
-void
-setcr4(ulong_t val)
-{}
-
-#if defined(__amd64)
-
-ulong_t
-getcr8(void)
-{ return (0); }
-
-/* ARGSUSED */
-void
-setcr8(ulong_t val)
-{}
-
-#endif	/* __amd64 */
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(getcr0)
 	movq	%cr0, %rax
 	ret
@@ -569,93 +278,6 @@
 	ret
 	SET_SIZE(setcr8)
 
-#elif defined(__i386)
-
-        ENTRY(getcr0)
-        movl    %cr0, %eax
-        ret
-	SET_SIZE(getcr0)
-
-        ENTRY(setcr0)
-        movl    4(%esp), %eax
-        movl    %eax, %cr0
-        ret
-	SET_SIZE(setcr0)
-
-	/*
-	 * "lock mov %cr0" is used on processors which indicate it is
-	 * supported via CPUID. Normally the 32 bit TPR is accessed via
-	 * the local APIC.
-	 */
-	ENTRY(getcr8)
-	lock
-	movl	%cr0, %eax
-	ret
-	SET_SIZE(getcr8)
-
-	ENTRY(setcr8)
-        movl    4(%esp), %eax
-	lock
-        movl    %eax, %cr0
-	ret
-	SET_SIZE(setcr8)
-
-        ENTRY(getcr2)
-#if defined(__xpv)
-	movl	%gs:CPU_VCPU_INFO, %eax
-	movl	VCPU_INFO_ARCH_CR2(%eax), %eax
-#else
-        movl    %cr2, %eax
-#endif
-        ret
-	SET_SIZE(getcr2)
-
-	ENTRY(getcr3)
-	movl    %cr3, %eax
-	ret
-	SET_SIZE(getcr3)
-
-#if !defined(__xpv)
-
-        ENTRY(setcr3)
-        movl    4(%esp), %eax
-        movl    %eax, %cr3
-        ret
-	SET_SIZE(setcr3)
-
-	ENTRY(reload_cr3)
-	movl    %cr3, %eax
-	movl    %eax, %cr3
-	ret
-	SET_SIZE(reload_cr3)
-
-#endif	/* __xpv */
-
-	ENTRY(getcr4)
-	movl    %cr4, %eax
-	ret
-	SET_SIZE(getcr4)
-
-        ENTRY(setcr4)
-        movl    4(%esp), %eax
-        movl    %eax, %cr4
-        ret
-	SET_SIZE(setcr4)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-#if defined(__lint)
-
-/*ARGSUSED*/
-uint32_t
-__cpuid_insn(struct cpuid_regs *regs)
-{ return (0); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(__cpuid_insn)
 	movq	%rbx, %r8
 	movq	%rcx, %r9
@@ -675,44 +297,6 @@
 	ret
 	SET_SIZE(__cpuid_insn)
 
-#elif defined(__i386)
-
-        ENTRY(__cpuid_insn)
-	pushl	%ebp
-	movl	0x8(%esp), %ebp		/* %ebp = regs */
-	pushl	%ebx
-	pushl	%ecx
-	pushl	%edx
-	movl	(%ebp), %eax		/* %eax = regs->cp_eax */
-	movl	0x4(%ebp), %ebx		/* %ebx = regs->cp_ebx */
-	movl	0x8(%ebp), %ecx		/* %ecx = regs->cp_ecx */
-	movl	0xc(%ebp), %edx		/* %edx = regs->cp_edx */
-	cpuid
-	movl	%eax, (%ebp)		/* regs->cp_eax = %eax */
-	movl	%ebx, 0x4(%ebp)		/* regs->cp_ebx = %ebx */
-	movl	%ecx, 0x8(%ebp)		/* regs->cp_ecx = %ecx */
-	movl	%edx, 0xc(%ebp)		/* regs->cp_edx = %edx */
-	popl	%edx
-	popl	%ecx
-	popl	%ebx
-	popl	%ebp
-	ret
-	SET_SIZE(__cpuid_insn)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-#if defined(__lint)
-
-/*ARGSUSED*/
-void
-i86_monitor(volatile uint32_t *addr, uint32_t extensions, uint32_t hints)
-{}
-
-#else   /* __lint */
-
-#if defined(__amd64)
-
 	ENTRY_NP(i86_monitor)
 	pushq	%rbp
 	movq	%rsp, %rbp
@@ -725,34 +309,6 @@
 	ret
 	SET_SIZE(i86_monitor)
 
-#elif defined(__i386)
-
-ENTRY_NP(i86_monitor)
-	pushl	%ebp
-	movl	%esp, %ebp
-	movl	0x8(%ebp),%eax		/* addr */
-	movl	0xc(%ebp),%ecx		/* extensions */
-	movl	0x10(%ebp),%edx		/* hints */
-	clflush	(%eax)
-	.byte	0x0f, 0x01, 0xc8	/* monitor */
-	leave
-	ret
-	SET_SIZE(i86_monitor)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-#if defined(__lint)
-
-/*ARGSUSED*/
-void
-i86_mwait(uint32_t data, uint32_t extensions)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY_NP(i86_mwait)
 	pushq	%rbp
 	call	x86_md_clear
@@ -764,21 +320,6 @@
 	ret
 	SET_SIZE(i86_mwait)
 
-#elif defined(__i386)
-
-	ENTRY_NP(i86_mwait)
-	pushl	%ebp
-	movl	%esp, %ebp
-	movl	0x8(%ebp),%eax		/* data */
-	movl	0xc(%ebp),%ecx		/* extensions */
-	.byte	0x0f, 0x01, 0xc9	/* mwait */
-	leave
-	ret
-	SET_SIZE(i86_mwait)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 #if defined(__xpv)
 	/*
 	 * Defined in C
@@ -785,18 +326,6 @@
 	 */
 #else
 
-#if defined(__lint)
-
-hrtime_t
-tsc_read(void)
-{
-	return (0);
-}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY_NP(tsc_read)
 	movq	%rbx, %r11
 	movl	$0, %eax
@@ -841,64 +370,9 @@
 _tsc_lfence_end:
 	SET_SIZE(tsc_read)
 
-#else /* __i386 */
 
-	ENTRY_NP(tsc_read)
-	pushl	%ebx
-	movl	$0, %eax
-	cpuid
-	rdtsc
-	popl	%ebx
-	ret
-	.globl _tsc_mfence_start
-_tsc_mfence_start:
-	mfence
-	rdtsc
-	ret
-	.globl _tsc_mfence_end
-_tsc_mfence_end:
-	.globl	_tscp_start
-_tscp_start:
-	.byte	0x0f, 0x01, 0xf9	/* rdtscp instruction */
-	ret
-	.globl _tscp_end
-_tscp_end:
-	.globl _no_rdtsc_start
-_no_rdtsc_start:
-	xorl	%edx, %edx
-	xorl	%eax, %eax
-	ret
-	.globl _no_rdtsc_end
-_no_rdtsc_end:
-	.globl _tsc_lfence_start
-_tsc_lfence_start:
-	lfence
-	rdtsc
-	ret
-	.globl _tsc_lfence_end
-_tsc_lfence_end:
-	SET_SIZE(tsc_read)
-
-#endif	/* __i386 */
-
-#endif	/* __lint */
-
-
 #endif	/* __xpv */
 
-#ifdef __lint
-/*
- * Do not use this function for obtaining clock tick.  This
- * is called by callers who do not need to have a guarenteed
- * correct tick value.  The proper routine to use is tsc_read().
- */
-u_longlong_t
-randtick(void)
-{
-	return (0);
-}
-#else
-#if defined(__amd64)
 	ENTRY_NP(randtick)
 	rdtsc
 	shlq    $32, %rdx
@@ -905,28 +379,10 @@
 	orq     %rdx, %rax
 	ret
 	SET_SIZE(randtick)
-#else
-	ENTRY_NP(randtick)
-	rdtsc
-	ret
-	SET_SIZE(randtick)
-#endif /* __i386 */
-#endif /* __lint */
 /*
  * Insert entryp after predp in a doubly linked list.
  */
 
-#if defined(__lint)
-
-/*ARGSUSED*/
-void
-_insque(caddr_t entryp, caddr_t predp)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(_insque)
 	movq	(%rsi), %rax		/* predp->forw			*/
 	movq	%rsi, CPTRSIZE(%rdi)	/* entryp->back = predp		*/
@@ -936,37 +392,10 @@
 	ret
 	SET_SIZE(_insque)
 
-#elif defined(__i386)
-
-	ENTRY(_insque)
-	movl	8(%esp), %edx
-	movl	4(%esp), %ecx
-	movl	(%edx), %eax		/* predp->forw			*/
-	movl	%edx, CPTRSIZE(%ecx)	/* entryp->back = predp		*/
-	movl	%eax, (%ecx)		/* entryp->forw = predp->forw	*/
-	movl	%ecx, (%edx)		/* predp->forw = entryp		*/
-	movl	%ecx, CPTRSIZE(%eax)	/* predp->forw->back = entryp	*/
-	ret
-	SET_SIZE(_insque)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * Remove entryp from a doubly linked list
  */
 
-#if defined(__lint)
-
-/*ARGSUSED*/
-void
-_remque(caddr_t entryp)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(_remque)
 	movq	(%rdi), %rax		/* entry->forw */
 	movq	CPTRSIZE(%rdi), %rdx	/* entry->back */
@@ -975,36 +404,11 @@
 	ret
 	SET_SIZE(_remque)
 
-#elif defined(__i386)
-
-	ENTRY(_remque)
-	movl	4(%esp), %ecx
-	movl	(%ecx), %eax		/* entry->forw */
-	movl	CPTRSIZE(%ecx), %edx	/* entry->back */
-	movl	%eax, (%edx)		/* entry->back->forw = entry->forw */
-	movl	%edx, CPTRSIZE(%eax)	/* entry->forw->back = entry->back */
-	ret
-	SET_SIZE(_remque)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * Returns the number of
  * non-NULL bytes in string argument.
  */
 
-#if defined(__lint)
-
-/* ARGSUSED */
-size_t
-strlen(const char *str)
-{ return (0); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 /*
  * This is close to a simple transliteration of a C version of this
  * routine.  We should either just -make- this be a C version, or
@@ -1050,58 +454,12 @@
 	ret
 	SET_SIZE(strlen)
 
-#elif defined(__i386)
-
-	ENTRY(strlen)
 #ifdef DEBUG
-	movl	postbootkernelbase, %eax
-	cmpl	%eax, 4(%esp)
-	jae	str_valid
-	pushl	%ebp
-	movl	%esp, %ebp
-	pushl	$.str_panic_msg
-	call	panic
-#endif /* DEBUG */
-
-str_valid:
-	movl	4(%esp), %eax		/* %eax = string address */
-	testl	$3, %eax		/* if %eax not word aligned */
-	jnz	.not_word_aligned	/* goto .not_word_aligned */
-	.align	4
-.word_aligned:
-	movl	(%eax), %edx		/* move 1 word from (%eax) to %edx */
-	movl	$0x7f7f7f7f, %ecx
-	andl	%edx, %ecx		/* %ecx = %edx & 0x7f7f7f7f */
-	addl	$4, %eax		/* next word */
-	addl	$0x7f7f7f7f, %ecx	/* %ecx += 0x7f7f7f7f */
-	orl	%edx, %ecx		/* %ecx |= %edx */
-	andl	$0x80808080, %ecx	/* %ecx &= 0x80808080 */
-	cmpl	$0x80808080, %ecx	/* if no null byte in this word */
-	je	.word_aligned		/* goto .word_aligned */
-	subl	$4, %eax		/* post-incremented */
-.not_word_aligned:
-	cmpb	$0, (%eax)		/* if a byte in (%eax) is null */
-	je	.null_found		/* goto .null_found */
-	incl	%eax			/* next byte */
-	testl	$3, %eax		/* if %eax not word aligned */
-	jnz	.not_word_aligned	/* goto .not_word_aligned */
-	jmp	.word_aligned		/* goto .word_aligned */
-	.align	4
-.null_found:
-	subl	4(%esp), %eax		/* %eax -= string address */
-	ret
-	SET_SIZE(strlen)
-
-#endif	/* __i386 */
-
-#ifdef DEBUG
 	.text
 .str_panic_msg:
 	.string "strlen: argument below kernelbase"
 #endif /* DEBUG */
 
-#endif	/* __lint */
-
 	/*
 	 * Berkeley 4.3 introduced symbolically named interrupt levels
 	 * as a way deal with priority in a machine independent fashion.
@@ -1140,25 +498,6 @@
 	 *	spl0()		Used to lower priority to 0.
 	 */
 
-#if defined(__lint)
-
-int spl0(void)		{ return (0); }
-int spl6(void)		{ return (0); }
-int spl7(void)		{ return (0); }
-int spl8(void)		{ return (0); }
-int splhigh(void)	{ return (0); }
-int splhi(void)		{ return (0); }
-int splzs(void)		{ return (0); }
-
-/* ARGSUSED */
-void
-splx(int level)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 #define	SETPRI(level) \
 	movl	$/**/level, %edi;	/* new priority */		\
 	jmp	do_splx			/* redirect to do_splx */
@@ -1167,22 +506,6 @@
 	movl	$/**/level, %edi;	/* new priority */		\
 	jmp	splr			/* redirect to splr */
 
-#elif defined(__i386)
-
-#define	SETPRI(level) \
-	pushl	$/**/level;	/* new priority */			\
-	call	do_splx;	/* invoke common splx code */		\
-	addl	$4, %esp;	/* unstack arg */			\
-	ret
-
-#define	RAISE(level) \
-	pushl	$/**/level;	/* new priority */			\
-	call	splr;		/* invoke common splr code */		\
-	addl	$4, %esp;	/* unstack args */			\
-	ret
-
-#endif	/* __i386 */
-
 	/* locks out all interrupts, including memory errors */
 	ENTRY(spl8)
 	SETPRI(15)
@@ -1221,70 +544,14 @@
 	jmp	do_splx		/* redirect to common splx code */
 	SET_SIZE(splx)
 
-#endif	/* __lint */
-
-#if defined(__i386)
-
-/*
- * Read and write the %gs register
- */
-
-#if defined(__lint)
-
-/*ARGSUSED*/
-uint16_t
-getgs(void)
-{ return (0); }
-
-/*ARGSUSED*/
-void
-setgs(uint16_t sel)
-{}
-
-#else	/* __lint */
-
-	ENTRY(getgs)
-	clr	%eax
-	movw	%gs, %ax
-	ret
-	SET_SIZE(getgs)
-
-	ENTRY(setgs)
-	movw	4(%esp), %gs
-	ret
-	SET_SIZE(setgs)
-
-#endif	/* __lint */
-#endif	/* __i386 */
-
-#if defined(__lint)
-
-void
-pc_reset(void)
-{}
-
-void
-efi_reset(void)
-{}
-
-#else	/* __lint */
-
 	ENTRY(wait_500ms)
-#if defined(__amd64)
 	pushq	%rbx
-#elif defined(__i386)
-	push	%ebx
-#endif
 	movl	$50000, %ebx
 1:
 	call	tenmicrosec
 	decl	%ebx
 	jnz	1b
-#if defined(__amd64)
 	popq	%rbx
-#elif defined(__i386)
-	pop	%ebx
-#endif
 	ret
 	SET_SIZE(wait_500ms)
 
@@ -1297,11 +564,7 @@
 
 	ENTRY(pc_reset)
 
-#if defined(__i386)
-	testl	$RESET_METHOD_KBC, pc_reset_methods
-#elif defined(__amd64)
 	testl	$RESET_METHOD_KBC, pc_reset_methods(%rip)
-#endif
 	jz	1f
 
 	/
@@ -1321,11 +584,7 @@
 	call	wait_500ms
 
 1:
-#if defined(__i386)
-	testl	$RESET_METHOD_PORT92, pc_reset_methods
-#elif defined(__amd64)
 	testl	$RESET_METHOD_PORT92, pc_reset_methods(%rip)
-#endif
 	jz	3f
 
 	/
@@ -1347,11 +606,7 @@
 	call	wait_500ms
 
 3:
-#if defined(__i386)
-	testl	$RESET_METHOD_PCI, pc_reset_methods
-#elif defined(__amd64)
 	testl	$RESET_METHOD_PCI, pc_reset_methods(%rip)
-#endif
 	jz	4f
 
 	/ Try the PCI (soft) reset vector (should work on all modern systems,
@@ -1360,7 +615,7 @@
 	/ When resetting via this method, 2 writes are required.  The first
 	/ targets bit 1 (0=hard reset without power cycle, 1=hard reset with
 	/ power cycle).
-	/ The reset occurs on the second write, during bit 2's transition from
+	/ The reset occurs on the second write, during bit 2 's transition from
 	/ 0->1.
 	movw	$0xcf9, %dx
 	movb	$0x2, %al	/ Reset mode = hard, no power cycle
@@ -1377,15 +632,9 @@
 	/ Also, use triple fault for EFI firmware
 	/
 	ENTRY(efi_reset)
-#if defined(__amd64)
 	pushq	$0x0
 	pushq	$0x0		/ IDT base of 0, limit of 0 + 2 unused bytes
 	lidt	(%rsp)
-#elif defined(__i386)
-	pushl	$0x0
-	pushl	$0x0		/ IDT base of 0, limit of 0 + 2 unused bytes
-	lidt	(%esp)
-#endif
 	int	$0x0		/ Trigger interrupt, generate triple-fault
 
 	cli
@@ -1394,23 +643,10 @@
 	SET_SIZE(efi_reset)
 	SET_SIZE(pc_reset)
 
-#endif	/* __lint */
-
 /*
  * C callable in and out routines
  */
 
-#if defined(__lint)
-
-/* ARGSUSED */
-void
-outl(int port_address, uint32_t val)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(outl)
 	movw	%di, %dx
 	movl	%esi, %eax
@@ -1418,32 +654,6 @@
 	ret
 	SET_SIZE(outl)
 
-#elif defined(__i386)
-
-	.set	PORT, 4
-	.set	VAL, 8
-
-	ENTRY(outl)
-	movw	PORT(%esp), %dx
-	movl	VAL(%esp), %eax
-	outl	(%dx)
-	ret
-	SET_SIZE(outl)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-#if defined(__lint)
-
-/* ARGSUSED */
-void
-outw(int port_address, uint16_t val)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(outw)
 	movw	%di, %dx
 	movw	%si, %ax
@@ -1451,29 +661,6 @@
 	ret
 	SET_SIZE(outw)
 
-#elif defined(__i386)
-
-	ENTRY(outw)
-	movw	PORT(%esp), %dx
-	movw	VAL(%esp), %ax
-	D16 outl (%dx)
-	ret
-	SET_SIZE(outw)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-#if defined(__lint)
-
-/* ARGSUSED */
-void
-outb(int port_address, uint8_t val)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(outb)
 	movw	%di, %dx
 	movb	%sil, %al
@@ -1481,29 +668,6 @@
 	ret
 	SET_SIZE(outb)
 
-#elif defined(__i386)
-
-	ENTRY(outb)
-	movw	PORT(%esp), %dx
-	movb	VAL(%esp), %al
-	outb	(%dx)
-	ret
-	SET_SIZE(outb)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-#if defined(__lint)
-
-/* ARGSUSED */
-uint32_t
-inl(int port_address)
-{ return (0); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(inl)
 	xorl	%eax, %eax
 	movw	%di, %dx
@@ -1511,28 +675,6 @@
 	ret
 	SET_SIZE(inl)
 
-#elif defined(__i386)
-
-	ENTRY(inl)
-	movw	PORT(%esp), %dx
-	inl	(%dx)
-	ret
-	SET_SIZE(inl)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-#if defined(__lint)
-
-/* ARGSUSED */
-uint16_t
-inw(int port_address)
-{ return (0); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(inw)
 	xorl	%eax, %eax
 	movw	%di, %dx
@@ -1540,30 +682,7 @@
 	ret
 	SET_SIZE(inw)
 
-#elif defined(__i386)
 
-	ENTRY(inw)
-	subl	%eax, %eax
-	movw	PORT(%esp), %dx
-	D16 inl	(%dx)
-	ret
-	SET_SIZE(inw)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-
-#if defined(__lint)
-
-/* ARGSUSED */
-uint8_t
-inb(int port_address)
-{ return (0); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(inb)
 	xorl	%eax, %eax
 	movw	%di, %dx
@@ -1571,30 +690,7 @@
 	ret
 	SET_SIZE(inb)
 
-#elif defined(__i386)
 
-	ENTRY(inb)
-	subl    %eax, %eax
-	movw	PORT(%esp), %dx
-	inb	(%dx)
-	ret
-	SET_SIZE(inb)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-
-#if defined(__lint)
-
-/* ARGSUSED */
-void
-repoutsw(int port, uint16_t *addr, int cnt)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(repoutsw)
 	movl	%edx, %ecx
 	movw	%di, %dx
@@ -1603,49 +699,7 @@
 	ret
 	SET_SIZE(repoutsw)
 
-#elif defined(__i386)
 
-	/*
-	 * The arguments and saved registers are on the stack in the
-	 *  following order:
-	 *      |  cnt  |  +16
-	 *      | *addr |  +12
-	 *      | port  |  +8
-	 *      |  eip  |  +4
-	 *      |  esi  |  <-- %esp
-	 * If additional values are pushed onto the stack, make sure
-	 * to adjust the following constants accordingly.
-	 */
-	.set	PORT, 8
-	.set	ADDR, 12
-	.set	COUNT, 16
-
-	ENTRY(repoutsw)
-	pushl	%esi
-	movl	PORT(%esp), %edx
-	movl	ADDR(%esp), %esi
-	movl	COUNT(%esp), %ecx
-	rep
-	  D16 outsl
-	popl	%esi
-	ret
-	SET_SIZE(repoutsw)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-
-#if defined(__lint)
-
-/* ARGSUSED */
-void
-repinsw(int port_addr, uint16_t *addr, int cnt)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(repinsw)
 	movl	%edx, %ecx
 	movw	%di, %dx
@@ -1654,34 +708,7 @@
 	ret
 	SET_SIZE(repinsw)
 
-#elif defined(__i386)
 
-	ENTRY(repinsw)
-	pushl	%edi
-	movl	PORT(%esp), %edx
-	movl	ADDR(%esp), %edi
-	movl	COUNT(%esp), %ecx
-	rep
-	  D16 insl
-	popl	%edi
-	ret
-	SET_SIZE(repinsw)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-
-#if defined(__lint)
-
-/* ARGSUSED */
-void
-repinsb(int port, uint8_t *addr, int count)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(repinsb)
 	movl	%edx, %ecx
 	movw	%di, %dx
@@ -1691,53 +718,12 @@
 	ret
 	SET_SIZE(repinsb)
 
-#elif defined(__i386)
 
-	/*
-	 * The arguments and saved registers are on the stack in the
-	 *  following order:
-	 *      |  cnt  |  +16
-	 *      | *addr |  +12
-	 *      | port  |  +8
-	 *      |  eip  |  +4
-	 *      |  esi  |  <-- %esp
-	 * If additional values are pushed onto the stack, make sure
-	 * to adjust the following constants accordingly.
-	 */
-	.set	IO_PORT, 8
-	.set	IO_ADDR, 12
-	.set	IO_COUNT, 16
-
-	ENTRY(repinsb)
-	pushl	%edi
-	movl	IO_ADDR(%esp), %edi
-	movl	IO_COUNT(%esp), %ecx
-	movl	IO_PORT(%esp), %edx
-	rep
-	  insb
-	popl	%edi
-	ret
-	SET_SIZE(repinsb)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-
 /*
  * Input a stream of 32-bit words.
  * NOTE: count is a DWORD count.
  */
-#if defined(__lint)
 
-/* ARGSUSED */
-void
-repinsd(int port, uint32_t *addr, int count)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(repinsd)
 	movl	%edx, %ecx
 	movw	%di, %dx
@@ -1747,37 +733,11 @@
 	ret
 	SET_SIZE(repinsd)
 
-#elif defined(__i386)
-
-	ENTRY(repinsd)
-	pushl	%edi
-	movl	IO_ADDR(%esp), %edi
-	movl	IO_COUNT(%esp), %ecx
-	movl	IO_PORT(%esp), %edx
-	rep
-	  insl
-	popl	%edi
-	ret
-	SET_SIZE(repinsd)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * Output a stream of bytes
  * NOTE: count is a byte count
  */
-#if defined(__lint)
 
-/* ARGSUSED */
-void
-repoutsb(int port, uint8_t *addr, int count)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(repoutsb)
 	movl	%edx, %ecx
 	movw	%di, %dx
@@ -1786,37 +746,11 @@
 	ret
 	SET_SIZE(repoutsb)
 
-#elif defined(__i386)
-
-	ENTRY(repoutsb)
-	pushl	%esi
-	movl	IO_ADDR(%esp), %esi
-	movl	IO_COUNT(%esp), %ecx
-	movl	IO_PORT(%esp), %edx
-	rep
-	  outsb
-	popl	%esi
-	ret
-	SET_SIZE(repoutsb)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * Output a stream of 32-bit words
  * NOTE: count is a DWORD count
  */
-#if defined(__lint)
 
-/* ARGSUSED */
-void
-repoutsd(int port, uint32_t *addr, int count)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(repoutsd)
 	movl	%edx, %ecx
 	movw	%di, %dx
@@ -1825,22 +759,6 @@
 	ret
 	SET_SIZE(repoutsd)
 
-#elif defined(__i386)
-
-	ENTRY(repoutsd)
-	pushl	%esi
-	movl	IO_ADDR(%esp), %esi
-	movl	IO_COUNT(%esp), %ecx
-	movl	IO_PORT(%esp), %edx
-	rep
-	  outsl
-	popl	%esi
-	ret
-	SET_SIZE(repoutsd)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * void int3(void)
  * void int18(void)
@@ -1848,26 +766,6 @@
  * void int_cmci(void)
  */
 
-#if defined(__lint)
-
-void
-int3(void)
-{}
-
-void
-int18(void)
-{}
-
-void
-int20(void)
-{}
-
-void
-int_cmci(void)
-{}
-
-#else	/* __lint */
-
 	ENTRY(int3)
 	int	$T_BPTFLT
 	ret
@@ -1894,19 +792,6 @@
 	ret
 	SET_SIZE(int_cmci)
 
-#endif	/* __lint */
-
-#if defined(__lint)
-
-/* ARGSUSED */
-int
-scanc(size_t size, uchar_t *cp, uchar_t *table, uchar_t mask)
-{ return (0); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(scanc)
 					/* rdi == size */
 					/* rsi == cp */
@@ -1927,55 +812,11 @@
 	ret
 	SET_SIZE(scanc)
 
-#elif defined(__i386)
-
-	ENTRY(scanc)
-	pushl	%edi
-	pushl	%esi
-	movb	24(%esp), %cl		/* mask = %cl */
-	movl	16(%esp), %esi		/* cp = %esi */
-	movl	20(%esp), %edx		/* table = %edx */
-	movl	%esi, %edi
-	addl	12(%esp), %edi		/* end = &cp[size]; */
-.scanloop:
-	cmpl	%edi, %esi		/* while (cp < end */
-	jnb	.scandone
-	movzbl	(%esi),  %eax		/* %al = *cp */
-	incl	%esi			/* cp++ */
-	movb	(%edx,  %eax), %al	/* %al = table[*cp] */
-	testb	%al, %cl
-	jz	.scanloop		/*   && (table[*cp] & mask) == 0) */
-	dec	%esi			/* post-incremented */
-.scandone:
-	movl	%edi, %eax
-	subl	%esi, %eax		/* return (end - cp) */
-	popl	%esi
-	popl	%edi
-	ret
-	SET_SIZE(scanc)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /*
  * Replacement functions for ones that are normally inlined.
  * In addition to the copy in i86.il, they are defined here just in case.
  */
 
-#if defined(__lint)
-
-ulong_t
-intr_clear(void)
-{ return (0); }
-
-ulong_t
-clear_int_flag(void)
-{ return (0); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(intr_clear)
 	ENTRY(clear_int_flag)
 	pushfq
@@ -2002,62 +843,11 @@
 	SET_SIZE(clear_int_flag)
 	SET_SIZE(intr_clear)
 
-#elif defined(__i386)
-
-	ENTRY(intr_clear)
-	ENTRY(clear_int_flag)
-	pushfl
-	popl	%eax
-#if defined(__xpv)
-	leal	xpv_panicking, %edx
-	movl	(%edx), %edx
-	cmpl	$0, %edx
-	jne	2f
-	CLIRET(%edx, %cl)	/* returns event mask in %cl */
-	/*
-	 * Synthesize the PS_IE bit from the event mask bit
-	 */
-	andl    $_BITNOT(PS_IE), %eax
-	testb	$1, %cl
-	jnz	1f
-	orl	$PS_IE, %eax
-1:
-	ret
-2:
-#endif
-	CLI(%edx)
-	ret
-	SET_SIZE(clear_int_flag)
-	SET_SIZE(intr_clear)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-#if defined(__lint)
-
-struct cpu *
-curcpup(void)
-{ return 0; }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(curcpup)
 	movq	%gs:CPU_SELF, %rax
 	ret
 	SET_SIZE(curcpup)
 
-#elif defined(__i386)
-
-	ENTRY(curcpup)
-	movl	%gs:CPU_SELF, %eax
-	ret
-	SET_SIZE(curcpup)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
 /* htonll(), ntohll(), htonl(), ntohl(), htons(), ntohs()
  * These functions reverse the byte order of the input parameter and returns
  * the result.  This is to convert the byte order from host byte order
@@ -2064,36 +854,6 @@
  * (little endian) to network byte order (big endian), or vice versa.
  */
 
-#if defined(__lint)
-
-uint64_t
-htonll(uint64_t i)
-{ return (i); }
-
-uint64_t
-ntohll(uint64_t i)
-{ return (i); }
-
-uint32_t
-htonl(uint32_t i)
-{ return (i); }
-
-uint32_t
-ntohl(uint32_t i)
-{ return (i); }
-
-uint16_t
-htons(uint16_t i)
-{ return (i); }
-
-uint16_t
-ntohs(uint16_t i)
-{ return (i); }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(htonll)
 	ALTENTRY(ntohll)
 	movq	%rdi, %rax
@@ -2121,55 +881,7 @@
 	SET_SIZE(ntohs)
 	SET_SIZE(htons)
 
-#elif defined(__i386)
 
-	ENTRY(htonll)
-	ALTENTRY(ntohll)
-	movl	4(%esp), %edx
-	movl	8(%esp), %eax
-	bswap	%edx
-	bswap	%eax
-	ret
-	SET_SIZE(ntohll)
-	SET_SIZE(htonll)
-
-	ENTRY(htonl)
-	ALTENTRY(ntohl)
-	movl	4(%esp), %eax
-	bswap	%eax
-	ret
-	SET_SIZE(ntohl)
-	SET_SIZE(htonl)
-
-	ENTRY(htons)
-	ALTENTRY(ntohs)
-	movl	4(%esp), %eax
-	bswap	%eax
-	shrl	$16, %eax
-	ret
-	SET_SIZE(ntohs)
-	SET_SIZE(htons)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-
-#if defined(__lint)
-
-/* ARGSUSED */
-void
-intr_restore(ulong_t i)
-{ return; }
-
-/* ARGSUSED */
-void
-restore_int_flag(ulong_t i)
-{ return; }
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(intr_restore)
 	ENTRY(restore_int_flag)
 	testq	$PS_IE, %rdi
@@ -2193,46 +905,6 @@
 	SET_SIZE(restore_int_flag)
 	SET_SIZE(intr_restore)
 
-#elif defined(__i386)
-
-	ENTRY(intr_restore)
-	ENTRY(restore_int_flag)
-	testl	$PS_IE, 4(%esp)
-	jz	1f
-#if defined(__xpv)
-	leal	xpv_panicking, %edx
-	movl	(%edx), %edx
-	cmpl	$0, %edx
-	jne	1f
-	/*
-	 * Since we're -really- running unprivileged, our attempt
-	 * to change the state of the IF bit will be ignored.
-	 * The virtual IF bit is tweaked by CLI and STI.
-	 */
-	IE_TO_EVENT_MASK(%edx, 4(%esp))
-#else
-	sti
-#endif
-1:
-	ret
-	SET_SIZE(restore_int_flag)
-	SET_SIZE(intr_restore)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-#if defined(__lint)
-
-void
-sti(void)
-{}
-
-void
-cli(void)
-{}
-
-#else	/* __lint */
-
 	ENTRY(sti)
 	STI
 	ret
@@ -2239,26 +911,10 @@
 	SET_SIZE(sti)
 
 	ENTRY(cli)
-#if defined(__amd64)
 	CLI(%rax)
-#elif defined(__i386)
-	CLI(%eax)
-#endif	/* __i386 */
 	ret
 	SET_SIZE(cli)
 
-#endif	/* __lint */
-
-#if defined(__lint)
-
-dtrace_icookie_t
-dtrace_interrupt_disable(void)
-{ return (0); }
-
-#else   /* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(dtrace_interrupt_disable)
 	pushfq
 	popq	%rax
@@ -2282,45 +938,6 @@
 	ret
 	SET_SIZE(dtrace_interrupt_disable)
 
-#elif defined(__i386)
-
-	ENTRY(dtrace_interrupt_disable)
-	pushfl
-	popl	%eax
-#if defined(__xpv)
-	leal	xpv_panicking, %edx
-	movl	(%edx), %edx
-	cmpl	$0, %edx
-	jne	.dtrace_interrupt_disable_done
-	CLIRET(%edx, %cl)	/* returns event mask in %cl */
-	/*
-	 * Synthesize the PS_IE bit from the event mask bit
-	 */
-	andl    $_BITNOT(PS_IE), %eax
-	testb	$1, %cl
-	jnz	.dtrace_interrupt_disable_done
-	orl	$PS_IE, %eax
-#else
-	CLI(%edx)
-#endif
-.dtrace_interrupt_disable_done:
-	ret
-	SET_SIZE(dtrace_interrupt_disable)
-
-#endif	/* __i386 */
-#endif	/* __lint */
-
-#if defined(__lint)
-
-/*ARGSUSED*/
-void
-dtrace_interrupt_enable(dtrace_icookie_t cookie)
-{}
-
-#else	/* __lint */
-
-#if defined(__amd64)
-
 	ENTRY(dtrace_interrupt_enable)
 	pushq	%rdi
 	popfq
